<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFolder"
            id="NewTestCase.contribution1">
         <menu
               label="New Test Case"
               path="additions"
               id="NewTestCase.menu1">
            <separator
                  name="group1">
            </separator>
         </menu>
         <action
               label="Positive"
               class="org.etsi.mts.ttcn3.part9.popup.actions.NewPositiveTestCase"
               menubarPath="NewTestCase.menu1/group1"
               definitionId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newPositiveTestcase"
               enablesFor="1"
               id="NewTestCase.newAction1">
         </action>
         <action
               label="Negative"
               definitionId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newNegativeTestcase"
               class="org.etsi.mts.ttcn3.part9.popup.actions.NewNegativeTestCase"
               menubarPath="NewTestCase.menu1/group1"
               enablesFor="1"
               id="NewTestCase.newAction2">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <category
            id="org.etsi.mts.ttcn3.part9.newTestCase.commands.category"
            name="Sample Category">
      </category>
      <command
            categoryId="org.etsi.mts.ttcn3.part9.newTestCase.commands.category"
            id="org.etsi.mts.ttcn3.part9.newTestCase.commands.sampleCommand"
            name="Sample Command">
      </command>
      <command
            name="New Positive Testcase"
            categoryId="org.eclipse.ui.category.navigate"
            id="org.etsi.mts.ttcn3.part9.newTestCase.commands.newPositiveTestcase">
      </command>
      <command
            name="New Negative Testcase"
            categoryId="org.eclipse.ui.category.navigate"
            id="org.etsi.mts.ttcn3.part9.newTestCase.commands.newNegativeTestcase">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="org.etsi.mts.ttcn3.part9.newtestcase.handlers.CommandHandler"
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.sampleCommand">
      </handler>
      <handler
            class="org.etsi.mts.ttcn3.part9.newtestcase.handlers.NewPositiveTestCaseHandler"
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newPositiveTestcase">
      </handler>
      <handler
            class="org.etsi.mts.ttcn3.part9.newtestcase.handlers.NewNegativeTestCaseHandler"
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newNegativeTestcase">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.sampleCommand"
            contextId="org.eclipse.ui.contexts.window"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="M1+6">
      </key>
      <key
            sequence="M1+O"
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newPositiveTestcase"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"/>
      <key
            sequence="M1+L"
            commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.newNegativeTestcase"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"/>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               id="org.etsi.mts.ttcn3.part9.newTestCase.menus.sampleMenu"
               label="Sample Menu"
               mnemonic="M">
            <command
                  commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.sampleCommand"
                  id="org.etsi.mts.ttcn3.part9.newTestCase.menus.sampleCommand"
                  mnemonic="S">
            </command>
         </menu>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
         <toolbar
               id="org.etsi.mts.ttcn3.part9.newTestCase.toolbars.sampleToolbar">
            <command
                  commandId="org.etsi.mts.ttcn3.part9.newTestCase.commands.sampleCommand"
                  icon="icons/sample.gif"
                  id="org.etsi.mts.ttcn3.part9.newTestCase.toolbars.sampleCommand"
                  tooltip="Say hello world">
            </command>
         </toolbar>
      </menuContribution>
   </extension>

</plugin>
